<?php
session_start();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php
$limit = 3;
$do = "moj@adres.email";


if(!isSet($_SESSION['mailscount'])){
  $_SESSION['mailscount'] = 0;
}
else if($_SESSION['mailscount'] >= 3){
  echo "Wyczerpany limit listów w tej sesji ($limit).";
  echo "</div></body></html>";
  exit();
}

if(isSet($_POST['temat']) && isSet($_POST['tresc'])){
  $temat = $_POST['temat'];
  $tresc = $_POST['tresc'];
  if($temat == "" || $tresc == ""){
    echo "Niekompletne dane";
  }
  else{
    if(mail($do, $temat, $tresc)){
      $_SESSION['mailscount']++;
      echo "List został wysłany.";
    }
    else{
      echo "Wystąpił błąd. List nie został wysłany.";
    }
  }
}
else{
  echo "Niekompletne dane";
}
?>
</body>
</html>